import fetch from "node-fetch";
const APIURI = "https://fi.jamix.cloud/apps/menuservice/rest/haku/menu/92225/1?lang=fi"
var todayDate = new Date().toISOString().slice(0, 10).replaceAll('-', '');

function getFood(data) {
  const days = data[0].menuTypes[0].menus[0].days
  const daysFiltered = days.filter((day) => String(day.date) === todayDate);
  const foods = [];
  daysFiltered[0].mealoptions.map((mealoption) => {
    let str = ""
    str += mealoption.name + ": "
    mealoption.menuItems.map((menuItem) => {
      str += menuItem.name + ", "
    })
    foods.push(str);
  })

  return foods;
}

fetch(APIURI)
  .then((response) => response.json())
  .then((data) => getFood(data).map((food) => console.log(food)));